VULKAN_HPP_NAMESPACE::DescriptorSetLayoutCreateInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::DescriptorSetLayoutCreateInfo:
[legend]

## Public Member Functions

| DescriptorSetLayoutCreateInfo (DescriptorSetLayoutCreateFlags flags_=DescriptorSetLayoutCreateFlags(), uint32_t bindingCount_=0, const DescriptorSetLayoutBinding *pBindings_=nullptr)
| DescriptorSetLayoutCreateInfo (VkDescriptorSetLayoutCreateInfo const &rhs)
DescriptorSetLayoutCreateInfo & | operator= (VkDescriptorSetLayoutCreateInfo const &rhs)
DescriptorSetLayoutCreateInfo & | setPNext (const void *pNext_)
DescriptorSetLayoutCreateInfo & | setFlags (DescriptorSetLayoutCreateFlags flags_)
DescriptorSetLayoutCreateInfo & | setBindingCount (uint32_t bindingCount_)
DescriptorSetLayoutCreateInfo & | setPBindings (const DescriptorSetLayoutBinding *pBindings_)
| operator VkDescriptorSetLayoutCreateInfo const & () const
| operator VkDescriptorSetLayoutCreateInfo & ()
bool | operator== (DescriptorSetLayoutCreateInfo const &rhs) const
bool | operator!= (DescriptorSetLayoutCreateInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
DescriptorSetLayoutCreateFlags | flags
uint32_t | bindingCount
const DescriptorSetLayoutBinding * | pBindings

## Private Attributes

StructureType | sType = StructureType::eDescriptorSetLayoutCreateInfo

## Detailed Description

Definition at line 31455 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DescriptorSetLayoutCreateInfo() [1/2]

VULKAN_HPP_NAMESPACE::DescriptorSetLayoutCreateInfo::DescriptorSetLayoutCreateInfo | ( | DescriptorSetLayoutCreateFlags | flags_ = `DescriptorSetLayoutCreateFlags()`,
|  | uint32_t | bindingCount_ = `0`,
|  | const DescriptorSetLayoutBinding * | pBindings_ = `nullptr`
| ) |  |

inline

Definition at line 31457 of file vulkan.hpp.

: flags( flags_ )
, bindingCount( bindingCount_ )
, pBindings( pBindings_ )
{
}

## DescriptorSetLayoutCreateInfo() [2/2]

VULKAN_HPP_NAMESPACE::DescriptorSetLayoutCreateInfo::DescriptorSetLayoutCreateInfo | ( | VkDescriptorSetLayoutCreateInfo const & | rhs | ) |

inline

Definition at line 31466 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DescriptorSetLayoutCreateInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkDescriptorSetLayoutCreateInfo &()

VULKAN_HPP_NAMESPACE::DescriptorSetLayoutCreateInfo::operator VkDescriptorSetLayoutCreateInfo & | ( |  | ) |

inline

Definition at line 31505 of file vulkan.hpp.

{
return *reinterpret_cast<VkDescriptorSetLayoutCreateInfo*>(this);
}

## operator VkDescriptorSetLayoutCreateInfo const &()

VULKAN_HPP_NAMESPACE::DescriptorSetLayoutCreateInfo::operator VkDescriptorSetLayoutCreateInfo const & | ( |  | ) | const

inline

Definition at line 31500 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDescriptorSetLayoutCreateInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DescriptorSetLayoutCreateInfo::operator!= | ( | DescriptorSetLayoutCreateInfo const & | rhs | ) | const

inline

Definition at line 31519 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DescriptorSetLayoutCreateInfo& VULKAN_HPP_NAMESPACE::DescriptorSetLayoutCreateInfo::operator= | ( | VkDescriptorSetLayoutCreateInfo const & | rhs | ) |

inline

Definition at line 31471 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DescriptorSetLayoutCreateInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DescriptorSetLayoutCreateInfo::operator== | ( | DescriptorSetLayoutCreateInfo const & | rhs | ) | const

inline

Definition at line 31510 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( flags == rhs.flags )
&& ( bindingCount == rhs.bindingCount )
&& ( pBindings == rhs.pBindings );
}

References bindingCount, flags, pBindings, pNext, and sType.

Referenced by operator!=().

## setBindingCount()

DescriptorSetLayoutCreateInfo& VULKAN_HPP_NAMESPACE::DescriptorSetLayoutCreateInfo::setBindingCount | ( | uint32_t | bindingCount_ | ) |

inline

Definition at line 31488 of file vulkan.hpp.

{
bindingCount = bindingCount_;
return *this;
}

References bindingCount.

## setFlags()

DescriptorSetLayoutCreateInfo& VULKAN_HPP_NAMESPACE::DescriptorSetLayoutCreateInfo::setFlags | ( | DescriptorSetLayoutCreateFlags | flags_ | ) |

inline

Definition at line 31482 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setPBindings()

DescriptorSetLayoutCreateInfo& VULKAN_HPP_NAMESPACE::DescriptorSetLayoutCreateInfo::setPBindings | ( | const DescriptorSetLayoutBinding * | pBindings_ | ) |

inline

Definition at line 31494 of file vulkan.hpp.

{
pBindings = pBindings_;
return *this;
}

References pBindings.

## setPNext()

DescriptorSetLayoutCreateInfo& VULKAN_HPP_NAMESPACE::DescriptorSetLayoutCreateInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 31476 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## bindingCount

uint32_t VULKAN_HPP_NAMESPACE::DescriptorSetLayoutCreateInfo::bindingCount

Definition at line 31530 of file vulkan.hpp.

Referenced by operator==(), and setBindingCount().

## flags

DescriptorSetLayoutCreateFlags VULKAN_HPP_NAMESPACE::DescriptorSetLayoutCreateInfo::flags

Definition at line 31529 of file vulkan.hpp.

Referenced by operator==().

## pBindings

const DescriptorSetLayoutBinding* VULKAN_HPP_NAMESPACE::DescriptorSetLayoutCreateInfo::pBindings

Definition at line 31531 of file vulkan.hpp.

Referenced by operator==(), and setPBindings().

## pNext

const void* VULKAN_HPP_NAMESPACE::DescriptorSetLayoutCreateInfo::pNext = nullptr

Definition at line 31528 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::DescriptorSetLayoutCreateInfo::sType = StructureType::eDescriptorSetLayoutCreateInfo

private

Definition at line 31525 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DescriptorSetLayoutCreateInfo::operator==
bool operator==(DescriptorSetLayoutCreateInfo const &rhs) const
Definition: vulkan.hpp:31510
VULKAN_HPP_NAMESPACE::DescriptorSetLayoutCreateInfo::pNext
const void * pNext
Definition: vulkan.hpp:31528
VULKAN_HPP_NAMESPACE::DescriptorSetLayoutCreateInfo::pBindings
const DescriptorSetLayoutBinding * pBindings
Definition: vulkan.hpp:31531
VkDescriptorSetLayoutCreateInfo
Definition: vulkan_core.h:2539
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::DescriptorSetLayoutCreateInfo::sType
StructureType sType
Definition: vulkan.hpp:31525
VULKAN_HPP_NAMESPACE::DescriptorSetLayoutCreateInfo::bindingCount
uint32_t bindingCount
Definition: vulkan.hpp:31530
VULKAN_HPP_NAMESPACE::DescriptorSetLayoutCreateInfo::DescriptorSetLayoutCreateInfo
DescriptorSetLayoutCreateInfo(DescriptorSetLayoutCreateFlags flags_=DescriptorSetLayoutCreateFlags(), uint32_t bindingCount_=0, const DescriptorSetLayoutBinding *pBindings_=nullptr)
Definition: vulkan.hpp:31457
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
VULKAN_HPP_NAMESPACE::DescriptorSetLayoutCreateInfo::flags
DescriptorSetLayoutCreateFlags flags
Definition: vulkan.hpp:31529